﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.IO;
using Styx;
using Styx.Common;
using Styx.CommonBot;
using Styx.TreeSharp;
using Styx.Helpers;
using Styx.WoWInternals;
using Styx.WoWInternals.WoWObjects;
using Styx.Pathing;
using Styx.Plugins;

namespace GPHCalc
{
    public partial class GPHcfg : Form
    {
        public GPHcfg()
        {
            InitializeComponent();
        }

        private void GPHcfg_Load(object sender, EventArgs e)
        {

        }

        private void button_reset_Click(object sender, EventArgs e)
        {
            // reset timer, gold values, differences as well as gph for double safety
            TimeCheck.runtime.Restart();
            stats.newgo = StyxWoW.Me.Gold;
            stats.oldgo = StyxWoW.Me.Gold;
            stats.diffe = 0;
            stats.gphh = 0;
            Logging.Write("[GPHCalc]: Your GPH timer has been reset.");
        }

        private void button1_Click(object sender, EventArgs e)
        {
            //doing gph calculation on demand
            stats.Calc();
            Logging.Write("[GPHCalc]: Your current session has been running for: " + TimeCheck.runtime.Elapsed.Minutes.ToString() + " minutes. Your average GPH is: " + Math.Round(stats.gphh, 4).ToString() + ". In total, you made " + stats.diffe.ToString() + " gold this session.");
            Logging.WriteDiagnostic("[DIAG_GPHCalc]: OldG: " + stats.oldgo.ToString() + " | NewG: " + stats.newgo.ToString() + " | Diff: " + stats.diffe.ToString() + " | " + TimeCheck.runtime.Elapsed.Minutes.ToString());
        }
    }
}
