﻿using System;
using System.Collections.Generic;
using System.Linq;
using System;
using System.Diagnostics;
using System.Threading;
using System.Drawing;
using System.Text;
using System;
using Styx;
using Styx.Common;
using Styx.CommonBot;
using Styx.TreeSharp;
using Styx.Helpers;
using Styx.WoWInternals;
using Styx.WoWInternals.WoWObjects;
using Styx.Pathing;
using Styx.Plugins;


namespace GPHCalc
{



    public class TimeCheck
    {
        private static System.Diagnostics.Stopwatch runtimer = new Stopwatch();

        public static Stopwatch runtime
        {
            get { return runtimer; }
            set { runtimer = value; }
        }
    }

    public class stats
    {
        private static double oldg;
        private static double newg;
        private static double diff;
        private static double gph;

        public static double oldgo
        {
            get { return oldg; }
            set { oldg = value; }
        }
        public static double newgo
        {
            get { return newg; }
            set { newg = value; }
        }
        public static double diffe
        {
            get { return diff; }
            set { diff = value; }
        }
        public static double gphh
        {
            get { return gph; }
            set { gph = value; }
        
        }

        public static void Calc()
        {
            // setting and converting NewGold so we can do calculations with it
            stats.newgo = Convert.ToDouble(StyxWoW.Me.Gold);
            // difference between old and new gold; needed to calculate goldgain per session/hour
            stats.diffe = stats.newgo - stats.oldgo;
            // stopwatch failsafe check
            if (!TimeCheck.runtime.IsRunning)
            {
                TimeCheck.runtime.Start();
            }
            else
            {
                // need to use Minutes instead of Hours as a workaround to avoid division by zero
                double elapsedmins = TimeCheck.runtime.Elapsed.Minutes;
                // calculation gold per minute
                double gph_min = diff / elapsedmins;
                // gold per minute * 60 = GPH
                gph = gph_min * 60;
                // returning values of calculation
                stats.diffe = diff;
                stats.gphh = gph;
            }
        }

    }

    public partial class GPHCalcBase : HBPlugin
    {
        public override string Name { get { return "GPHCalc"; } }
        public override string Author { get { return "wownerds"; } }
        public override Version Version { get { return new Version(0, 1, 0, 2); } }
        public override string ButtonText { get { return "Post + CfG"; } }
        private static LocalPlayer Me { get { return StyxWoW.Me; } }
        
        

        public override bool WantButton
        {
            get
            {
                return true;
            }
        }
        public override void OnButtonPress()
        {
            GPHcfg cfg = new GPHcfg();
            cfg.ShowDialog();
        }


        public override void Initialize()
        {
            Logging.Write("[GPHCalc]: GPHCalc loaded up. Starting Timer.");
            // setting start gold
            stats.oldgo = Convert.ToDouble(Me.Gold);
            // stating GPH calculation timer
            TimeCheck.runtime.Start();
        }

        public override void Pulse()
        {
            //switched from pulsing GPH calculation to doing it on demand to minimize resource consumption
        }

        

    }
}
